package net.wanji.com.service.controller;

import net.wanji.databus.dao.entity.CrossSchedulesPO;
import net.wanji.databus.dto.CrossInfoDTO;
import net.wanji.databus.dto.CrossSchedulesDTO;
import net.wanji.databus.dto.PlanSectionDTO;
import net.wanji.databus.dto.SchemePhaseLightsDTO;
import net.wanji.databus.po.CrossInfoPO;
import net.wanji.databus.vo.PlanSectionVO;
import net.wanji.databus.vo.SchemePhaseLightsVO;

import java.util.List;

public interface StaticInfoService extends BeanMarkService {

    List<CrossInfoPO> crossBasicInfo(CrossInfoDTO crossInfoDTO) throws Exception;

    void schemePhaseLights(SchemePhaseLightsDTO schemePhaseLightsDTO) throws Exception;

    void planSection(PlanSectionDTO planSectionDTO) throws Exception;

    void crossSchedules(CrossSchedulesDTO crossSchedulesDTO) throws Exception;

    SchemePhaseLightsVO buildSchemePhaseLightsResponse(SchemePhaseLightsDTO schemePhaseLightsDTO);

    PlanSectionVO buildPlanSectionResponse(String crossId);

    PlanSectionVO buildPlanSectionResponse(String crossId, Integer planNo);

    List<CrossSchedulesPO> buildCrossSchedulesResponse(List<String> crossIdList);
}
