package net.wanji.com.util;

import cn.hutool.core.io.checksum.CRC16;
import cn.hutool.core.util.HexUtil;

/**
 * @author duanruiming
 * @date 2023/05/12 15:26
 */
public class CRC16Utils {

    /**
     * 获取CRC16校验结果 【报文长度+报文体】
     *
     * @param body
     * @return
     */
    public static String getCRC16HexStr(String body) {
        CRC16 crc16 = new CRC16();
        byte[] bytes = HexUtil.decodeHex(body);
        crc16.update(bytes, 0, bytes.length);
        return HexUtil.toHex(crc16.getValue());
    }
}
