package net.wanji.com.service.controller;

import net.wanji.databus.po.SignalStatusLogPO;
import net.wanji.databus.vo.LightsStatusVO;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/21 9:09
 */
public interface SignalStatusService extends BeanMarkService {

    List<SignalStatusLogPO> runningStatusAlarm();

    /**
     * todo 提供给其他平台，需要确认以厂商还是以路口形式推送数据
     *
     * @param crossId
     * @return
     */
    List<SignalStatusLogPO> runningStatusAlarm(String crossId);

    List<LightsStatusVO> lightStatus();

    List<LightsStatusVO> lightStatus(String crossId);
}
