package net.wanji.com.service.protocol.impl.base;

import lombok.extern.slf4j.Slf4j;
import net.wanji.com.netty.NettyClient;
import net.wanji.com.pojo.netty.MessageResultPojo;
import net.wanji.com.service.protocol.ProtocolConversion;
import net.wanji.databus.po.CrossInfoPO;
import org.springframework.stereotype.Service;

/**
 * @author duanruiming
 * @date 2023/05/16 17:16
 */
@Service
@Slf4j
public class SignalDeviceProtocolConversionService implements ProtocolConversion {
    @Override
    public Object protocolConvertEntity(CrossInfoPO crossInfo) {
        MessageResultPojo resultPojo = NettyClient.sendMessage("10.102.1.204", 5050, "0x7e00120001010000000101011001000501030000005CB40x7d", "20", 300);
        log.info("设备基本信息： {}", resultPojo);
        return null;
    }

    @Override
    public String entityConvertProtocol(Object o) {
        return null;
    }
}
